﻿Type=Class
Version=2.5
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Class module
Private Sub Class_Globals
	Private gWindowWidth As Int = 500
	Private gWindowHeight As Int = 300

	Private fx As JFX
	Private frm As Form	
	Private btnOK As Button
	Private btnCancel As Button
	Private lblLastScan As Label
	Private tfLastScanfolder As TextField
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	' Init the form and give the form a title and make it a utility form (toolbox type of form)
	frm.Initialize("frm", gWindowWidth, gWindowHeight)
	frm.Resizable = False
	frm.SetFormStyle("UTILITY")
	frm.RootPane.LoadLayout("Settings")
	'
	ClassInit
End Sub

' Init the class with specifics that are not public
Private Sub ClassInit
	lblLastScan.Text = Main.AppIni.getKey("LastScan", "Last Scan")
	tfLastScanfolder.Text = Main.AppIni.getKey("LastScanFolder", "")
End Sub

Public Sub Show As Boolean
	frm.Title = "Settings"
	frm.WindowWidth = gWindowWidth
	frm.WindowHeight = gWindowHeight
	frm.ShowAndWait
	Return True
End Sub

Sub btnOK_Action
	' Save the settings and close
	Main.AppIni.putKey("LastScanFolder", tfLastScanfolder.Text)
	'
	frm.Close	
End Sub

Sub btnCancel_Action
	' Close without updating the settings
	frm.Close	
End Sub
