﻿Type=Class
Version=2.5
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Class module
Private Sub Class_Globals
	Private fx As JFX
	Private frm As Form	

	Private lvwViewer As ListView
	Private cbLines As ComboBox
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	frm.Initialize("frm", -1, -1)
	frm.Resizable = False
	frm.SetFormStyle("UTILITY")
	frm.RootPane.LoadLayout("Viewer")
End Sub

Public Sub Show(title As String, content As List, line As Int, lines As List)
	frm.title = title
	' Add the content to the listview
	lvwViewer.Items.AddAll(content)
	' Fill the combobox with items found
	cbLines.Items.AddAll(lines)
	' Convert line in string to be able to set the index of the combobox
	Dim s As String = line
	' Set the selected item in the combobox which triggers goto that line in the listview
	cbLines.SelectedIndex = cbLines.Items.IndexOf(s)
	frm.ShowAndWait
End Sub

Sub cbLines_SelectedIndexChanged(Index As Int, Value As Object)
	If Index < 0 Then Return
	Dim n As Int = Value - 1
	lvwViewer.SelectedIndex = n
	lvwViewer.ScrollTo(lvwViewer.SelectedIndex )
End Sub
